weipa::NodeData Class Referenceabstract

`#include <NodeData.h>`

Inheritance diagram for weipa::NodeData:

## Public Member Functions

virtual void | writeCoordinatesVTK (std::ostream &os, int ownIndex)=0
| Writes coordinates to a stream in VTK text format. More...
virtual StringVec | getVarNames () const =0
| Returns a vector with the mesh variable names. More...
virtual std::string | getName () const =0
| Returns the name of this node mesh. More...
virtual std::string | getFullSiloName () const =0
| Returns full Silo mesh name, e.g. "/block0000/Nodes". More...
virtual const IntVec & | getNodeIDs () const =0
| Returns the node ID array. More...
virtual const IntVec & | getNodeDistribution () const =0
| Returns the node distribution array. More...
virtual const IntVec & | getGlobalNodeIndices () const =0
| Returns the global node index array. More...
virtual const CoordArray & | getCoords () const =0
| Returns the coordinates of the mesh nodes. More...
virtual int | getNumDims () const =0
| Returns the dimensionality of this mesh (2 or 3). More...
virtual int | getNumNodes () const =0
| Returns the number of mesh nodes. More...
virtual int | getGlobalNumNodes () const =0
| Returns the total number of mesh nodes for a distributed mesh. More...

## Protected Member Functions

virtual | ~NodeData ()
| Virtual destructor. More...

## Constructor & Destructor Documentation

## ~NodeData()

virtual weipa::NodeData::~NodeData | ( |  | ) |

inline protected virtual

Virtual destructor.

## Member Function Documentation

## getCoords()

virtual const CoordArray& weipa::NodeData::getCoords | ( |  | ) | const

pure virtual

Returns the coordinates of the mesh nodes.

Implemented in weipa::SpeckleyNodes, weipa::RipleyNodes, and weipa::FinleyNodes.

## getFullSiloName()

virtual std::string weipa::NodeData::getFullSiloName | ( |  | ) | const

pure virtual

Returns full Silo mesh name, e.g. "/block0000/Nodes".

Implemented in weipa::SpeckleyNodes, weipa::RipleyNodes, and weipa::FinleyNodes.

## getGlobalNodeIndices()

virtual const IntVec& weipa::NodeData::getGlobalNodeIndices | ( |  | ) | const

pure virtual

Returns the global node index array.

Implemented in weipa::SpeckleyNodes, weipa::RipleyNodes, and weipa::FinleyNodes.

## getGlobalNumNodes()

virtual int weipa::NodeData::getGlobalNumNodes | ( |  | ) | const

pure virtual

Returns the total number of mesh nodes for a distributed mesh.

Implemented in weipa::SpeckleyNodes, weipa::RipleyNodes, and weipa::FinleyNodes.

## getName()

virtual std::string weipa::NodeData::getName | ( |  | ) | const

pure virtual

Returns the name of this node mesh.

Implemented in weipa::SpeckleyNodes, weipa::RipleyNodes, and weipa::FinleyNodes.

## getNodeDistribution()

virtual const IntVec& weipa::NodeData::getNodeDistribution | ( |  | ) | const

pure virtual

Returns the node distribution array.

Implemented in weipa::SpeckleyNodes, weipa::RipleyNodes, and weipa::FinleyNodes.

## getNodeIDs()

virtual const IntVec& weipa::NodeData::getNodeIDs | ( |  | ) | const

pure virtual

Returns the node ID array.

Implemented in weipa::SpeckleyNodes, weipa::RipleyNodes, and weipa::FinleyNodes.

## getNumDims()

virtual int weipa::NodeData::getNumDims | ( |  | ) | const

pure virtual

Returns the dimensionality of this mesh (2 or 3).

Implemented in weipa::SpeckleyNodes, weipa::RipleyNodes, and weipa::FinleyNodes.

## getNumNodes()

virtual int weipa::NodeData::getNumNodes | ( |  | ) | const

pure virtual

Returns the number of mesh nodes.

Implemented in weipa::SpeckleyNodes, weipa::RipleyNodes, and weipa::FinleyNodes.

## getVarNames()

virtual StringVec weipa::NodeData::getVarNames | ( |  | ) | const

pure virtual

Returns a vector with the mesh variable names.

Implemented in weipa::SpeckleyNodes, weipa::RipleyNodes, and weipa::FinleyNodes.

## writeCoordinatesVTK()

virtual void weipa::NodeData::writeCoordinatesVTK | ( | std::ostream & | os,
|  | int | ownIndex
| ) |  |

pure virtual

Writes coordinates to a stream in VTK text format.

Implemented in weipa::SpeckleyNodes, weipa::RipleyNodes, and weipa::FinleyNodes.

The documentation for this class was generated from the following file:

- NodeData.h